
//  This file forms part of the GOBLIN C++ Class Library.
//
//  Initially written by Christian Fremuth-Paeger, January 2004
//
//  Copying, compiling, distribution and modification
//  of this source code is permitted only in accordance
//  with the GOBLIN general licence information.

/// \file   listOfReferences.cpp
/// \brief  Bibliographic data base

#include "globals.h"


const TReferenceStruct listOfReferences[NoReference] =
{
    // RefJun97

    {
        "Jun97",                        // refKey
        "D. Jungnickel",                // authors
        "Graphs, networks, algorithms", // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Springer",                     // publisher
        1997                            // year
    },


    // RefCPCS98

    {
        "CPCS98",                       // refKey
        "W.J.Cook, W.R.Pulleyblank, W.H.Cunningham, A.Shriver",
                                        // authors
        "Combinatorial optimization",   // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Wiley",                        // publisher
        1998                            // year
    },


    // RefGoMi84

    {
        "GoMi84",                       // refKey
        "M.Gondran, N.Minoux",          // authors
        "Graphs and algorithms",        // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Wiley",                        // publisher
        1984                            // year
    },


    // RefAMO93

    {
        "AMO93",                        // refKey
        "R.K.Ahuja, T.L.Magnanti, J.B.Orlin",
                                        // authors
        "Network flows",                // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Prentice Hall",                // publisher
        1993                            // year
    },


    // RefGPR96

    {
        "GPR96",                        // refKey
        "F.Glover, M.Parker, J.Ryan",   // authors
        "Colouring by tabu branch and bound",
                                        // title
        "proceedings",                  // type
        "DIMACS series in discrete mathematics and theoretical computer science",
                                        // in
        "D.S.Johnson, M.A.Trick",       // editors
        26,                             // volume
        "",                             // pages
        "",                             // publisher
        1996                            // year
    },


    // RefEdKa72

    {
        "EdKa72",                       // refKey
        "J.Edmonds, R.M.Karp",          // authors
        "Theoretical improvements in algorithmic efficiency for network flow problems",
                                        // title
        "article",                      // type
        "J. ACM",                       // in
        "",                             // editors
        19,                             // volume
        "248-264",                      // pages
        "",                             // publisher
        1972                            // year
    },


    // RefDin70

    {
        "Din70",                        // refKey
        "E.A.Dinic",                    // authors
        "Algorithm for solution of a problem of maximum flow in networks with power estimation",
                                        // title
        "article",                      // type
        "Soviet math. dokl.",           // in
        "",                             // editors
        11,                             // volume
        "1277-1280",                    // pages
        "",                             // publisher
        1970                            // year
    },


    // RefGoTa88

    {
        "GoTa88",                       // refKey
        "A.V.Goldberg, R.E.Tarjan",     // authors
        "A new approach for the maximum flow problem",
                                        // title
        "article",                      // type
        "J. ACM",                       // in
        "",                             // editors
        35,                             // volume
        "921-940",                      // pages
        "",                             // publisher
        1988                            // year
    },


    // RefPrim57

    {
        "Prim57",                       // refKey
        "R.C.Prim",                     // authors
        "Shortest connection networks and some generalizations",
                                        // title
        "article",                      // type
        "Bell Systems Techn. J.",       // in
        "",                             // editors
        36,                             // volume
        "1389-1401",                    // pages
        "",                             // publisher
        1957                            // year
    },


    // RefKru56

    {
        "Kru56",                        // refKey
        "J.B.Kruskal",                  // authors
        "On the shortest spanning subtree of graph and the travelling salesman problem",
                                        // title
        "article",                      // type
        "Proc. AMS",                    // in
        "",                             // editors
        7,                              // volume
        "48-50",                        // pages
        "",                             // publisher
        1956                            // year
    },


    // RefEdm67

    {
        "Edm67",                        // refKey
        "J.Edmonds",                    // authors
        "Optimum branchings",           // title
        "article",                      // type
        "J. Res. Nat. Bur. Stand. B",   // in
        "",                             // editors
        71,                             // volume
        "233-240",                      // pages
        "",                             // publisher
        1967                            // year
    },


    // RefDMP64

    {
        "DMP64",                        // refKey
        "G.Demoucron, Y.Malgrange, R.Pertuiset",
                                        // authors
        "Graphes planaires: Reconnaissance et construction de representations planaires topologiques",
                                        // title
        "article",                      // type
        "Rev. Francaise Recherche Operationnelle",
                                        // in
        "",                             // editors
        8,                              // volume
        "33-47",                        // pages
        "",                             // publisher
        1964                            // year
    },


    // RefGou88

    {
        "Gou88",                        // refKey
        "R.Gould",                      // authors
        "Graph theory",                 // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Benjamin/Cummings",            // publisher
        1988                            // year
    },


    // RefDij59

    {
        "Dij59",                        // refKey
        "E.W.Dijkstra",                 // authors
        "A note on two problems in connexion with graphs",
                                        // title
        "article",                      // type
        "Numerische Math.",             // in
        "",                             // editors
        1,                              // volume
        "269-271",                      // pages
        "",                             // publisher
        1959                            // year
    },


    // RefBel58

    {
        "Bel58",                        // refKey
        "R.E.Bellman",                  // authors
        "On a routing problem",         // title
        "article",                      // type
        "Quart.Appl.Math.",             // in
        "",                             // editors
        16,                             // volume
        "87-90",                        // pages
        "",                             // publisher
        1958                            // year
    },


    // RefFlo62

    {
        "Flo62",                        // refKey
        "R.W.Floyd",                    // authors
        "Algorithm 97, Shortest path",  // title
        "article",                      // type
        "Comm. ACM",                    // in
        "",                             // editors
        5,                              // volume
        "345",                          // pages
        "",                             // publisher
        1962                            // year
    },


    // RefKar78

    {
        "Kar78",                        // refKey
        "R.M.Karp",                     // authors
        "A characterization of the minimum mean cycle in a digraph",
                                        // title
        "article",                      // type
        "Discr.Math.",                  // in
        "",                             // editors
        23,                             // volume
        "309-311",                      // pages
        "",                             // publisher
        1978                            // year
    },


    // RefEdJo73

    {
        "EdJo73",                       // refKey
        "J.Edmonds, E.L.Johnson",       // authors
        "Matching, Euler tours and the Chinese postman",
                                        // title
        "article",                      // type
        "Math.Progr.",                  // in
        "",                             // editors
        5,                              // volume
        "88-124",                       // pages
        "",                             // publisher
        1973                            // year
    },


    // RefBuGo61

    {
        "BuGo61",                       // refKey
        "R.G.Busacker, P.J.Gowen",      // authors
        "A procedure for determining a family of minimum cost flow networks",
                                        // title
        "report",                       // type
        "ORO Techn. Reports",           // in
        "",                             // editors
        15,                             // volume
        "",                             // pages
        "John Hopkins University",      // publisher
        1961                            // year
    },


    // RefKle67

    {
        "Kle67",                        // refKey
        "M.Klein",                      // authors
        "A primal method for minimal cost flows, with applications to "
        "the assignment and transportation problems",
                                        // title
        "article",                      // type
        "Management Sc.",               // in
        "",                             // editors
        14,                             // volume
        "205-220",                      // pages
        "",                             // publisher
        1967                            // year
    },


    // RefGoTa89

    {
        "GoTa89",                       // refKey
        "A.V.Goldberg, R.E.Tarjan",     // authors
        "Finding minimum cost circulations by canceling negative cycles",
                                        // title
        "article",                      // type
        "J. ACM",                       // in
        "",                             // editors
        36,                             // volume
        "873-886",                      // pages
        "",                             // publisher
        1989                            // year
    },


    // RefGoTa90

    {
        "GoTa90",                       // refKey
        "A.V.Goldberg, R.E.Tarjan",     // authors
        "Solving minimum cost flow problems by successive augmentation",
                                        // title
        "article",                      // type
        "Math. of Oper. Res.",          // in
        "",                             // editors
        15,                             // volume
        "430-466",                      // pages
        "",                             // publisher
        1990                            // year
    },


    // RefHeKa70

    {
        "HeKa70",                       // refKey
        "M.Held, R.Karp",               // authors
        "The travelling salesman problem and minimum spanning trees",
                                        // title
        "article",                      // type
        "Oper. Res.",                   // in
        "",                             // editors
        18,                             // volume
        "1138-1162",                    // pages
        "",                             // publisher
        1970                            // year
    },


    // RefChr76

    {
        "Chr76",                        // refKey
        "N.Christofides",               // authors
        "Worst-case analysis of a new heuristic for the travelling "
        "salesman problem",
                                        // title
        "report",                       // type
        "",                             // in
        "",                             // editors
        388,                            // volume
        "1138-1162",                    // pages
        "Grad. School of Ind. Admin. Carnegie-Mellon University",
                                        // publisher
        1976                            // year
    },


    // RefCro58

    {
        "Cro58",                        // refKey
        "G.A.Croes",                    // authors
        "A method for solving traveling-salesman problems",
                                        // title
        "article",                      // type
        "Oper. Res.",                   // in
        "",                             // editors
        6,                              // volume
        "791-812",                      // pages
        "",                             // publisher
        1958                            // year
    },


    // RefRei94

    {
        "Rei94",                        // refKey
        "G.Reinelt",                    // authors
        "The travelling salesman",
                                        // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Springer",                     // publisher
        1994                            // year
    },


    // RefPrSt02

    {
        "PrSt02",                       // refKey
        "H.J.Proemel, A.Steger",        // authors
        "The Steiner tree problem",
                                        // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Vieweg",                       // publisher
        2002                            // year
    },


    // RefTar72

    {
        "Tar02",                        // refKey
        "R.E.Tarjan",                   // authors
        "Depth-first search and linear graph algorithms",
                                        // title
        "article",                      // type
        "SIAM J. Computing",            // in
        "",                             // editors
        1,                              // volume
        "146-160",                      // pages
        "",                             // publisher
        1972                            // year
    },


    // RefAHU83

    {
        "AHU83",                        // refKey
        "A.V.Aho, J.E.Hopcroft, J.D.Ullman",
                                        // authors
        "Data structures and algorithms",
                                        // title
        "text book",                    // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Addison Wesley",               // publisher
        1983                            // year
    },


    // RefSch79

    {
        "Sch79",                        // refKey
        "C.P.Schnorr",                  // authors
        "Bottlenecks and edge connectivity in unsymmetrical networks",
                                        // title
        "article",                      // type
        "SIAM J.Computing",             // in
        "",                             // editors
        8,                              // volume
        "265-274",                      // pages
        "",                             // publisher
        1979                            // year
    },


    // RefHier1873

    {
        "Hie1873",                      // refKey
        "C.Hierholzer",                 // authors
        "Ueber die Moeglichkeit, einen Linienzug ohne Wiederholungen "
        "und ohne Unterbrechungen zu umfahren",
                                        // title
        "article",                      // type
        "Math. Ann.",                   // in
        "",                             // editors
        6,                              // volume
        "30-32",                        // pages
        "",                             // publisher
        1873                            // year
    },


    // RefPaRi90

    {
        "PaRi90",                       // refKey
        "M.Padberg, G.Rinaldi",         // authors
        "An efficient algorithm for the minimum cut problem",
                                        // title
        "article",                      // type
        "Math. Prog.",                  // in
        "",                             // editors
        47,                             // volume
        "19-36",                        // pages
        "",                             // publisher
        1990                            // year
    },


    // RefHaOr94

    {
        "HaOr94",                       // refKey
        "J.Hao, J.B.Orlin",             // authors
        "A faster algorithm for finding the minimum cut in a directed graph",
                                        // title
        "article",                      // type
        "J. Algorithms",                // in
        "",                             // editors
        17,                             // volume
        "424-446",                      // pages
        "",                             // publisher
        1994                            // year
    },


    // RefEd65a

    {
        "Ed65a",                        // refKey
        "J.Edmonds",                    // authors
        "The Chinese postman problem",  // title
        "article",                      // type
        "Bulletin of the O.R. Soc. of America",
                                        // in
        "",                             // editors
        13,                             // volume
        "486-487",                      // pages
        "",                             // publisher
        1965                            // year
    },


    // RefFrJu99a

    {
        "FrJu99a",                      // refKey
        "C.Fremuth-Paeger, D.Jungnickel",
                                        // authors
        "Balanced Networks Flows (II): Simple augmentation algorithms",
                                        // title
        "article",                      // type
        "Networks",                     // in
        "",                             // editors
        33,                             // volume
        "29-41",                        // pages
        "",                             // publisher
        1999                            // year
    },


    // RefFrJu99b

    {
        "FrJu99b",                      // refKey
        "C.Fremuth-Paeger, D.Jungnickel",
                                        // authors
        "Balanced Networks Flows (III): Strongly polynomial algorithms",
                                        // title
        "article",                      // type
        "Networks",                     // in
        "",                             // editors
        33,                             // volume
        "43-56",                        // pages
        "",                             // publisher
        1999                            // year
    },


    // RefFrJu01a

    {
        "FrJu01a",                       // refKey
        "C.Fremuth-Paeger, D.Jungnickel",
                                        // authors
        "Balanced Networks Flows (IV): Duality ans structure theory",
                                        // title
        "article",                      // type
        "Networks",                     // in
        "",                             // editors
        37,                             // volume
        "194-201",                      // pages
        "",                             // publisher
        2001                            // year
    },


    // RefFrJu01b

    {
        "FrJu01b",                       // refKey
        "C.Fremuth-Paeger, D.Jungnickel",
                                        // authors
        "Balanced Networks Flows (V): Cycle canceling algorithms",
                                        // title
        "article",                      // type
        "Networks",                     // in
        "",                             // editors
        37,                             // volume
        "202-209",                      // pages
        "",                             // publisher
        2001                            // year
    },


    // RefFrJu02

    {
        "FrJu02",                       // refKey
        "C.Fremuth-Paeger, D.Jungnickel",
                                        // authors
        "Balanced Networks Flows (VII): Primal-dual algorithms",
                                        // title
        "article",                      // type
        "Networks",                     // in
        "",                             // editors
        39,                             // volume
        "35-42",                        // pages
        "",                             // publisher
        2002                            // year
    },


    // RefMiVa80

    {
        "MiVa80",                       // refKey
        "S.Micali, V.V.Vazirani",       // authors
        "An O(V^1/2*E) algorithm for finding maximum matching in general graphs",
                                        // title
        "article",                      // type
        "Proceedings of the IEEE Symposium in Foundations of Computer Science",
                                        // in
        "",                             // editors
        21,                             // volume
        "17-27",                        // pages
        "",                             // publisher
        1980                            // year
    },


    // RefKoSt95

    {
        "KoSt95",                       // refKey
        "W.Kocay, D.Stone",             // authors
        "An algorithm for balanced flows",
                                        // title
        "article",                      // type
        "JCMCC",                        // in
        "",                             // editors
        19,                             // volume
        "3-31",                         // pages
        "",                             // publisher
        1995                            // year
    },


    // RefGoKa96

    {
        "GoKa96",                       // refKey
        "A.Goldberg, A.V.Karzanow",     // authors
        "Path problem in skew-symmetric graphs",
                                        // title
        "article",                      // type
        "Combinatorica",                // in
        "",                             // editors
        16,                             // volume
        "353-382",                      // pages
        "",                             // publisher
        1996                            // year
    },


    // RefAns87

    {
        "Ans87",                        // refKey
        "R.Anstee",                     // authors
        "A polynomial algorithm for b-matchings",
                                        // title
        "article",                      // type
        "Information Processing Letters",
                                        // in
        "",                             // editors
        24,                             // volume
        "153-157",                      // pages
        "",                             // publisher
        1987                            // year
    },


    // RefKaMu74

    {
        "KaMu74",                       // refKey
        "T.Kameda, I.Munro",            // authors
        "An O(|V|*|E|) algorithm for maximum matching of graphs",
                                        // title
        "article",                      // type
        "Computing",                    // in
        "",                             // editors
        12,                             // volume
        "91-98",                        // pages
        "",                             // publisher
        1974                            // year
    },


    // RefPaCo80

    {
        "PaCo80",                       // refKey
        "U.Pape, D.Conradth",           // authors
        "Maximales Matching in Graphen",// title
        "article",                      // type
        "Ausgewaehlte Operations Research Software in FORTRAN",
                                        // in
        "H.Spaeth",                     // editors
        0,                              // volume
        "103-114",                      // pages
        "Oldenbourg",                   // publisher
        1980                            // year
    },


    // RefAns85

    {
        "Ans85",                        // refKey
        "R.Anstee",                     // authors
        "An algorithmic proof of Tutte's f-factor theorem",
                                        // title
        "article",                      // type
        "J. Algorithms",                // in
        "",                             // editors
        6,                              // volume
        "112-131",                      // pages
        "",                             // publisher
        1985                            // year
    },


    // RefOrDo72

    {
        "OrDo72",                       // refKey
        "G.I.Orlova, Ya.G.Dorfman",     // authors
        "Finding the maximum cut in a graph",
                                        // title
        "article",                      // type
        "Engineering Cybernetics",      // in
        "",                             // editors
        10,                             // volume
        "502-506",                      // pages
        "",                             // publisher
        1972                            // year
    },


    // RefFPRR02

    {
        "FPRR02",                       // refKey
        "P.Festa, P.M.Pardalos, M.G.C.Resende, C.C.Ribeiro",
                                        // authors
        "Randomized heuristics for the max-cut problem",
                                        // title
        "preprint",                     // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "",                             // publisher
        2002                            // year
    },


    // RefKan96

    {
        "Kan96",                        // refKey
        "G.Kant",
                                        // authors
        "Drawing planar graphs using the canonical ordering",
                                        // title
        "article",                      // type
        "Algorithmica",                 // in
        "",                             // editors
        16,                             // volume
        "4-32",                         // pages
        "",                             // publisher
        1996                            // year
    },


    // RefEad84

    {
        "Ead84",                        // refKey
        "P.Eades",                      // authors
        "A heuristic for graph drawing",// title
        "article",                      // type
        "Congressus Numeratium",        // in
        "",                             // editors
        42,                             // volume
        "149-160",                      // pages
        "",                             // publisher
        1984                            // year
    },


    // RefFLM94

    {
        "FLM94",                        // refKey
        "A.Frick, A.Ludwig, H.Mehldau", // authors
        "A fast adaptive layout algorithm for undirected graphs",
                                        // title
        "article",                      // type
        "LNCS Proc. Workshop on Graph Drawing 94",
                                        // in
        "",                             // editors
        894,                            // volume
        "389-403",                      // pages
        "Springer",                     // publisher
        1994                            // year
    },


    // RefSch03

    {
        "Sch03",                        // refKey
        "A.Schrijver",                  // authors
        "Combinatorial optimization: Polyhedra and efficiency",
                                        // title
        "text book",                    // type
        "Algorithms and Combinatorics", // in
        "",                             // editors
        24,                             // volume
        "",                             // pages
        "Springer",                     // publisher
        2003                            // year
    },


    // RefBre79

    {
        "Bre79",                        // refKey
        "D.Brelaz",                     // authors
        "New methods to color the vertices of a graph",
                                        // title
        "article",                      // type
        "Communications of the ACM",    // in
        "",                             // editors
        22,                             // volume
        "251-256",                      // pages
        "",                             // publisher
        1979                            // year
    },


    // RefBiKa94

    {
        "BiKa94",                       // refKey
        "T.C.Biedl, G.Kant",            // authors
        "A better heuristic for orthogonal graph drawing",
                                        // title
        "article",                      // type
        "LNCS Proc. ESA 94",            // in
        "",                             // editors
        855,                            // volume
        "24-35",                        // pages
        "Springer",                     // publisher
        1994                            // year
    },


    // RefBMT97

    {
        "BMT97",                     // refKey
        "T.C.Biedl, B.P.Madden, I.G.Tollis",
                                        // authors
        "The three-phase model: A unified aproach to orthogonal graph drawing",
                                        // title
        "article",                      // type
        "LNCS Proc. Workshop on Graph Drawing 97",
                                        // in
        "",                             // editors
        1353,                           // volume
        "391-404",                      // pages
        "Springer",                     // publisher
        1997                            // year
    },


    // RefKaWa01

    {
        "KaWa01",                       // refKey
        "",                             // authors
        "Drawing graphs: Methods and models",
                                        // title
        "text book",                    // type
        "LNCS",                         // in
        "M.Kaufmann, D.Wagner",         // editors
        2025,                           // volume
        "",                             // pages
        "Springer",                     // publisher
        2001                            // year
    },


    // RefRoTa86

    {
        "RoTa86",                       // refKey
        "P.RosenStiehl, R.E.Tarjan",    // authors
        "Rectilinear planar layouts and bipolar orientations of planar graphs",
                                        // title
        "article",                      // type
        "Discrete and Comp. Geometry",  // in
        "",                             // editors
        1,                              // volume
        "343-353",                      // pages
        "",                             // publisher
        1986                            // year
    },


    // RefKan93

    {
        "Kan93",                        // refKey
        "G.Kant",                       // authors
        "Algorithms for drawing planar graphs",
                                        // title
        "thesis",                       // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "Universiteit Utrecht",         // publisher
        1993                            // year
    },


    // RefVTL82

    {
        "VTL82",                        // refKey
        "J.Valdes, R.E.Tarjan, E.L.Lawler",
                                        // authors
        "The recognition of series parallel digraphs",
                                        // title
        "article",                      // type
        "SIAM J.Computing",             // in
        "",                             // editors
        11,                             // volume
        "298-313",                      // pages
        "SIAM",                         // publisher
        1982                            // year
    },


    // RefFKK96

    {
        "FKK96",                     // refKey
        "U.Foessmeier, G.Kant, M.Kaufmann",
                                        // authors
        "2-visibility drawings of planar graphs",
                                        // title
        "article",                      // type
        "LNCS Proc. Workshop on Graph Drawing 96",
                                        // in
        "",                             // editors
        1190,                           // volume
        "155-168",                      // pages
        "Springer",                     // publisher
        1996                            // year
    },


    // RefHoTa74

    {
        "HoTa74",                       // refKey
        "J.Hopcroft, R.E.Tarjan",
                                        // authors
        "Efficient planarity testing",  // title
        "article",                      // type
        "J. ACM",                       // in
        "",                             // editors
        21,                             // volume
        "135-158",                      // pages
        "",                             // publisher
        1974                            // year
    },


    // RefWil84

    {
        "Wil84",                        // refKey
        "S.G.Williamson",
                                        // authors
        "Depth-first search and Kuratowski subgraphs",
                                        // title
        "article",                      // type
        "J. ACM",                       // in
        "",                             // editors
        31,                             // volume
        "681-693",                      // pages
        "",                             // publisher
        1984                            // year
    },


    // RefEis06

    {
        "Eis06",                        // refKey
        "B.Eisermann",
                                        // authors
        "Theorie und Implementierung von Planaritaetsalgorithmen",
                                        // title
        "diploma thesis",               // type
        "",                             // in
        "",                             // editors
        0,                              // volume
        "",                             // pages
        "",                             // publisher
        2006                            // year
    },


    // RefHCPV00

    {
        "HCPV00",                        // refKey
        "M.Habib, R.McConnell, C.Paul, L.Viennot",
                                        // authors
        "Lex-BFS and partition refinement, with applications to transitive "
        "orientation, interval graph recognition and consecutive ones testing",
                                        // title
        "preprint",                     // type
        "Theoretical Computer Science", // in
        "",                             // editors
        234,                            // volume
        "59-84",                        // pages
        "",                             // publisher
        2000                            // year
    },


    // RefDaKu87

    {
        "DaKu87",                       // refKey
        "W.W.-M.Dai, E.S.Kuh",          // authors
        "Global spacing of building-block layout",
                                        // title
        "article",                      // type
        "Proc. of the IFIP Int. Conf. on VLSI 87",
                                        // in
        "",                             // editors
        0,                              // volume
        "193-205",                      // pages
        "",                             // publisher
        1987                            // year
    }
};
